# Generated from mingle_events-0.2.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name mingle_events

Name: rubygem-%{gem_name}
Version: 0.2.3
Release: 1%{?dist}
Summary: A gem that lets you process Mingle events in a pipes and filters style
License: Apache-2.0
URL: https://github.com/ThoughtWorksStudios/mingle_events
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 1.2
BuildRequires: ruby
# BuildRequires: rubygem(webmock)
BuildArch: noarch

%description
Mingle 3.3 introduced a new Events API in the form of an "Atom
feed":http://www.thoughtworks-studios.com/mingle/3.3/help/mingle_api_events.html.
The Mingle team and ThoughtWorks Studios are big believers in the use of Atom
for exposing events. Atom is a widely used standard, and this event API style
puts the issue of robust event delivery in the hands of the consumer, where it
belongs. In fact, we'd argue this is the only feasible means of robust,
scalable event delivery, short of spending hundreds of thousands or millions
of dollars on enterprise buses and such. Atom-delivered events are cheap,
scalable, standards-based, and robust.
However, we do accept that asking integrators wishing to consume events to
implement polling is not ideal. Writing polling consumers can be tedious. And
this tedium gets in the way of writing sweet Mingle integrations. We are
addressing this by publishing libraries such as this, which if effective,
fully hide the mechanics of event polling from the consumer. The consumer only
need worry about the processing of events. Said processing is modeled in the
style of 'pipes and filters.'
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.textile
%{gem_instdir}/test

%changelog
* Tue Apr 19 2022 mockbuilder - 0.2.3-1
- Initial package
